libzypp 17.37.10

zyppng::function_traits< R(Args...)>::argument< N > Struct Template Reference

`#include <zypp-core/zyppng/meta/function_traits.h>`

## Public Types
using | type = typename std::tuple_element<N,std::tuple<Args...>>::type

## Detailed Description

template<class R, class... Args>
template<std::size_t N>
struct zyppng::function_traits< R(Args...)>::argument< N >

Definition at line 36 of file function_traits.h.

## Member Typedef Documentation

## ◆ type

template<class R, class... Args>
template<std::size_t N>

using zyppng::function_traits< R(Args...)>::argument< N >::type = typename std::tuple_element<N,std::tuple<Args...>>::type

Definition at line 39 of file function_traits.h.

The documentation for this struct was generated from the following file:

- zypp-core/zyppng/meta/function_traits.h